org.eclipse.net4j.util.cache

## Interface ICache

- All Known Implementing Classes:
    Cache

      public interface ICache

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `evictElements(int elementCount)` Instructs this cache to evict elementCount elements.
    `ICacheMonitor` | `getCacheMonitor()`

- - ### Method Detail

    - #### getCacheMonitor

          ICacheMonitor getCacheMonitor()

    - #### evictElements

          void evictElements(int elementCount)

      Instructs this cache to evict elementCount elements.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html